# Zero-Day CVE-2021-45046 (Log4J Java Library)
Details: [https://cubetiq.atlassian.net/browse/CERT-3](https://cubetiq.atlassian.net/browse/CERT-3)

***Resolved***
```text
Upgrade log4j to version: 2.16.0
```

### Spring Boot
##### Gradle Kotlin DSL (build.gradle.kts) (Gradle Multiple Modules)
```kts
allprojects {
    // Fixed Zero-Day CVE-2021-45046: https://cubetiq.atlassian.net/browse/CERT-3
    ext["log4j2.version"] = "2.16.0"
}
```

##### Gradle Kotlin DSL (build.gradle.kts) (Gradle Single Module)
```kts
// Fixed Zero-Day CVE-2021-45046: https://cubetiq.atlassian.net/browse/CERT-3
implementation(platform("org.apache.logging.log4j:log4j-bom:2.16.0"))
```
***Or***
```kts
// Fixed Zero-Day CVE-2021-45046: https://cubetiq.atlassian.net/browse/CERT-3
ext["log4j2.version"] = "2.16.0"
```

##### Gradle DSL (build.gradle) (Gradle Multiple Modules)
```gradle
allprojects {
    ext {
        // Fixed Zero-Day CVE-2021-45046: https://cubetiq.atlassian.net/browse/CERT-3
        set('log4j2.version', '2.16.0')
    }
}
```
***Or***
```kts
ext {
    // Fixed Zero-Day CVE-2021-45046: https://cubetiq.atlassian.net/browse/CERT-3
    set('log4j2.version', '2.16.0')
}
```